<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Library</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<OutputPath>$(SolutionDir)Binary\Modules</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UseWPF>true</UseWPF>
		<ManagePackageVersionsCentrally>true</ManagePackageVersionsCentrally>
	</PropertyGroup>

	<ItemGroup>
		<None Remove="Icon.png" />
		<None Remove="Resources\Furnace.png" />
		<None Remove="Resources\Kepler.png" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="CommunityToolkit.Mvvm" />
		<PackageReference Include="Mapster" />
		<PackageReference Include="Prism.DryIoc" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\Data_ViewModel\GlobalData\GlobalData.csproj" />
		<ProjectReference Include="..\..\UICommon\UICommon.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Resource Include="Icon.png" />
		<Resource Include="Resources\Furnace.png" />
		<Resource Include="Resources\Kepler.png" />
	</ItemGroup>

</Project>
